Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           libgnomekbd
Version:       	2.21.4.1
Release:        2
Summary:        A keyboard configuration library

Group:          System/Libraries
License:        LGPL
URL:            http://gswitchit.sourceforce.net
Source0:        libgnomekbd-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  dbus-devel
BuildRequires:  dbus-glib
BuildRequires:  GConf-devel
BuildRequires:  gtk2+-devel
BuildRequires:  libglade-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libxklavier-devel
BuildRequires:  desktop-file-utils
BuildRequires:  perl-XML-Parser
BuildRequires:  gettext

Requires(pre): GConf
Requires(post): GConf
Requires(preun): GConf


%description
The libgnomekbd package contains a GNOME library which manages
keyboard configuration and offers various widgets related to 
keyboard configuration.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libxklavier-devel
Requires:       libgnome-devel
Requires:       pkg-config


%description    devel
The libgnomekbd-devel package contains libraries and header files for
developing applications that use libgnomekbd.


%prep
%setup -q

%build
%configure --sysconfdir=%_sysconfdir/gnome --disable-static --enable-compile-warnings=no
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

#echo "NoDisplay=true" >> $RPM_BUILD_ROOT%{_datadir}/applications/gkbd-indicator-plugins-capplet.desktop

#desktop-file-install --vendor gnome --delete-original       \
#  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
#  $RPM_BUILD_ROOT%{_datadir}/applications/gkbd-indicator-plugins-capplet.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post 
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/desktop_gnome_peripherals_keyboard_xkb.schemas >& /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/desktop_gnome_peripherals_keyboard_xkb.schemas >& /dev/null || :
fi


%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/desktop_gnome_peripherals_keyboard_xkb.schemas >& /dev/null || :
fi


%postun 
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%exclude %{_sysconfdir}/gnome/gconf/schemas/*
%{_bindir}/gkbd-indicator-plugins-capplet
%{_datadir}/applications/gkbd-indicator-plugins-capplet.desktop
%{_datadir}/icons/hicolor/48x48/apps/gkbd-indicator-plugins-capplet.png
%{_datadir}/libgnomekbd


%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*


%changelog
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.21.4.1-2
- rebuild against libxklavier 3.5
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.21.4.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.2-1
- Initial release
